## setSpeechMode

### Syntax:

    setSpeechMode (newMode);

### Purpose:

Changes the way in which the say and think functions is dealt with when both text and a sound file are provided. The parameter newMode should be one of the following:

SOUNDANDTEXT Both text and recorded speech are used.

SOUNDONLY Only recorded speech is used. Text is not displayed.

TEXTONLY No recorded speech is used and text is displayed.

### Return value:

No return value.

### See also:

playSound

setSpeechSpeed

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012